# MongoDB\Driver\ClientEncryption::decrypt

(mongodb >=1.7.0)

MongoDB\Driver\ClientEncryption::decrypt — Déchiffre une valeur

### Description

final public MongoDB\Driver\ClientEncryption::decrypt(MongoDB\BSON\Binary `$value`): mixed

Déchiffre la valeur.

### Liste de paramètres

`value`

  Une instance de MongoDB\BSON\Binary avec le sous-type 6 contenant la valeur chiffrée.

### Valeurs de retour

Renvoie la valeur déchiffrée telle qu'elle a été passée à MongoDB\Driver\ClientEncryption::encrypt().

### Erreurs / Exceptions

- Lance une exception MongoDB\Driver\InvalidArgumentException lors d'une erreur survenue pendant l'analyse d'un argument.
- Lance une MongoDB\Driver\Exception\EncryptionException si une erreur se produit lors du déchiffrement de la valeur

### Voir aussi

- MongoDB\Driver\ClientEncryption::encrypt() - Chiffre une valeur